
var xPos = 20;
var yPos = document.body.clientHeight;
var step = 1;
var delay = 30;
var height = 0;
var Hoffset = 0;
var Woffset = 0;
var yon = 0;
var xon = 0;
var pause = true;
var interval;
function changePos() {
   width = document.body.clientWidth;
   height = document.body.clientHeight;
   Hoffset = img.offsetHeight;
   Woffset = img.offsetWidth;
   img.style.left = xPos + document.body.scrollLeft;
   img.style.top = yPos + document.body.scrollTop;
   if (yon) {
      yPos = yPos + step;
   }
   else {
      yPos = yPos - step;
   }
   if (yPos < 0) {
      yon = 1;
      yPos = 0;
   }
   if (yPos >= (height - Hoffset)) {
      yon = 0;
      yPos = (height - Hoffset);
   }
   if (xon) {
      xPos = xPos + step;
   }
   else {
      xPos = xPos - step;
   }
   if (xPos < 0) {
      xon = 1;
      xPos = 0;
   }
   if (xPos >= (width - Woffset)) {
      xon = 0;
      xPos = (width - Woffset);
   }
}

function test(Pic,Bt,Url) {
    document.write("<div id='img' style='position:absolute;'>");
	if (Url!="") {document.write("<a href='"+Url+"' target='_blank' title='"+Bt+"'>");}

    i=Pic.length;
    tem=Pic.substring(i-3,i);
    tem=tem.toLowerCase();
   	if ((tem=="jpg") || (tem=="gif")) {
	   document.write("<img src='"+Pic+"' border='0' alt='"+Bt+"'>");   
	}
	else if ((tem=="swf")) {
	   document.write("<embed src='"+Pic+"' quality=high type='application/x-shockwave-flash' width='100%'></embed>");
	}
    else {
       document.write("<a href='"+Pic+"'>ÏÂÔØ¸ÃÎÄ¼þ</a>");
    }	
	if (Url!="") {document.write("</a>");}
    document.write("</div>");
    img.style.top = yPos;
    img.visibility = "visible";
    interval = setInterval('changePos()', delay);
}

